com.aliyun.svideosdk.common.struct.effect

## Class EffectFilter.Builder

- java.lang.Object
- - com.aliyun.svideosdk.common.struct.effect.EffectFilter.Builder

- Enclosing class:
    EffectFilter

      public static final class EffectFilter.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `EffectFilter` | `build()`
    `EffectFilter.Builder` | `duration(long durationMills)` Deprecated.
    `EffectFilter.Builder` | `effectConfig(EffectConfig effectConfig)` 设置自定义特效json实体
    `EffectFilter.Builder` | `path(java.lang.String val)` Deprecated.
    `EffectFilter.Builder` | `source(Source source)` 设置滤镜资源
    `EffectFilter.Builder` | `startTime(long startTimeMills)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### path

          @Deprecated
          public EffectFilter.Builder path(java.lang.String val)

      Deprecated.
      设置滤镜资源目录
      Parameters:
        `val` -
      Returns:

    - #### source

          public EffectFilter.Builder source(Source source)

      设置滤镜资源
      Parameters:
        `source` - 滤镜资源
      Returns:

    - #### startTime

          @Deprecated
          public EffectFilter.Builder startTime(long startTimeMills)

      Deprecated.
      设置滤镜效果的开始时间,v3.27.0已废弃,请使用`TrackEffect`代替
      Parameters:
        `startTimeMills` - 单位：ms,
      Returns:

    - #### duration

          @Deprecated
          public EffectFilter.Builder duration(long durationMills)

      Deprecated.
      设置滤镜效果持续时长,v3.27.0已废弃,请使用`TrackEffect`代替
      Parameters:
        `durationMills` - 单位：ms
      Returns:

    - #### effectConfig

          public EffectFilter.Builder effectConfig(EffectConfig effectConfig)

      设置自定义特效json实体
      Parameters:
        `mEffectConfig` - `EffectConfig`
      Returns:

    - #### build

          public EffectFilter build()